<?php
include("../sessionreserved.php");
include("../../db.php");
include("../functions.php");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Osservatorio Edile Biella - R.L.S.T. | Elenco visite</title>
<script language="javascript" src="../js/script.js"></script>
<script language="javascript" src="js/rlst.js"></script>

<link rel="stylesheet" type="text/css" href="css/style.css" />
</head>

<body>

<div id="header"></div>
<div id="container">
	<div id="mainHeader" class="clearfix"><?php include("mainHeader.php");?></div>
	<?php include("mainMenu.php");?>
   
    <div id="mainContainer">
        <span class="mainContentTitle">Compilare il seguente modulo per eseguire una ricerca fra le visite inserite da <?php echo $_SESSION['user']['anagrafica'];?>.</span>
        <div id="mainContent" class="clearfix">
            <form class="formSeach" name="searchCant" method="get" action="visita_search.php" onsubmit="return ver_seach()">
            <table class="form">
            	<tr>
                	<td>Codice: </td>
                	<td>
                    <input name="codice" type="text" size="15" maxlength="15" value="<?=$_REQUEST['codice'];?>" />
                	</td>
                </tr>
            	<tr>
                	<td>Data visita: </td>
                	<td>
                    <input name="datavisita" type="text" size="10" maxlength="10" value="<?=$_REQUEST['datavisita'];?>" />
                	</td>
                </tr>
            	<tr>
                	<td>Comune cantiere: </td>
                	<td>
                    <input name="cant_comune" type="text" size="40" maxlength="255" value="<?=$_REQUEST['cant_comune'];?>" />
                	</td>
                </tr>
            	<tr>
                	<td>Anagrafica impresa: </td>
                	<td>
                    <input name="imp_anagrafica" type="text" size="60" maxlength="255" value="<?=$_REQUEST['imp_anagrafica'];?>" />
                 	</td>
               </tr>
        	</table>
            <button type="submit">Cerca</button>
            </form>
			<div class="sep"></div>
<?php
if(empty($_GET)){
	$_SESSION['arrOrder'] = array(
		0 => 'datavisita DESC',
		1 => 'cant_comune ASC',
		2 => 'cant_strada ASC',
		3 => 'id_numero ASC',
		4 => 'imp_anagrafica ASC',
		5 => 'codice ASC'
	);
}
	
if(!empty($_GET['ord'])){
	
	//controllo se il primo elemento dell'array è l'elemento cercato, perchè, nel caso sia così, devo cambiare
	//da ASC a DESC
	if(current(explode(" ",current($_SESSION['arrOrder']))) <> $_GET['ord']){
	
	//estraggo l'indice dell'elemento da eliminare 
	$key = array_search($_GET['ord'].' ASC',$_SESSION['arrOrder']);
	if(!$key)
		$key = array_search($_GET['ord'].' DESC',$_SESSION['arrOrder']);
		
	//memorizzo il valore, senza ASC e DESC dell'elemento, perchè intanto, quando lo metto all'inizio, dovrà sempre
	//essere ASC
	$var = current(explode(" ",$_SESSION['arrOrder'][$key]));
	//elimino l'elemento dall'array
	unset($_SESSION['arrOrder'][$key]);
	//lo reinserisco all'inizio con valore ASC
	array_unshift($_SESSION['arrOrder'],$var.' ASC');
	
	//Se il primo elemento è quello quello passato dall'utente come chiave di ordinamento, devo solo cambiare da ASC a DESC
	}else{
		//divido il primo elemento in nome campo e tipo di ordine
		$campo = explode(" ",$_SESSION['arrOrder'][0]);
		//se l'ordine è ASC, all'elemento aggiungo DESC
		if($campo[1] == 'ASC'){
			$str = $campo[0] .= ' DESC';
		//se l'ordine è DESC, all'elemento aggiungo ASC
		}else{
			$str = $campo[0] .= ' ASC';
		}
		//ripristino il primo elemento con il nuovo tipo di ordinamento
		$_SESSION['arrOrder'][0] = $str;
	}
}
if(!empty($_GET)){
	$orderby = implode(',',$_SESSION['arrOrder']);		
	
	if(!empty($_GET['datavisita']))
		$datav = data($_REQUEST['datavisita']);
	if(!empty($_GET['imp_anagrafica']))
		$imp = "AND imp_anagrafica LIKE '%".$_REQUEST['imp_anagrafica']."%'";
	$limit = 20;
	
	$query = "
		SELECT SQL_CALC_FOUND_ROWS *,
		visite.idvisita AS id, DATE_FORMAT(datavisita,'%d/%m/%Y') AS data
		FROM visite 
		LEFT JOIN visite_imp ON visite.idvisita = visite_imp.idvisita
		WHERE datavisita LIKE '%".$datav."'
		AND codice LIKE '".$_GET['codice']."%'
		AND cant_comune LIKE '%".$_REQUEST['cant_comune']."'
		".$imp."
		ORDER BY ".$orderby.",visite.idvisita
		LIMIT ".intval($_REQUEST['from']).",".$limit;
	
	$result = mysql_query($query);
	
	if(mysql_num_rows($result) > 0){
		
		//navigazione
		$result2 = mysql_query("SELECT FOUND_ROWS() AS tot");
		$tot = mysql_result($result2,0,'tot');
		
		if($tot > $limit){
			
			$npag = ceil($tot / $limit);
			$pags = '<div class="naviga">Pagina ';
			for($i=0;$i<$npag;$i++){
				if($_REQUEST['from'] / $limit == $i)
					$st = ' class="active"';
				else
					$st = '';
				$cur = $i + 1;
				$pags .= '<a'.$st.' href="visita_list.php?from='.($i * $limit).'">'. $cur .'</a> ';
			}
			
			$pags .= "</div>";
		}
					
		echo '
		<table class="tableList" cellspacing="1" cellpadding="0">
			<tr class="header">
				<td width="30"><a href="?ord=datavisita&imp_anagrafica='.$_REQUEST['imp_anagrafica'].'&cant_comune='.$_REQUEST['cant_comune'].'&datavisita='.$_REQUEST['datavisita'].'&codice='.$_GET['codice'].'&from='.$_GET['from'].'">Data</a></td>
				<td width="40"><a href="?ord=codice&imp_anagrafica='.$_REQUEST['imp_anagrafica'].'&cant_comune='.$_REQUEST['cant_comune'].'&datavisita='.$_REQUEST['datavisita'].'&codice='.$_GET['codice'].'&from='.$_GET['from'].'">Codice</a></td>
				<td width="120"><a href="?ord=cant_comune&imp_anagrafica='.$_REQUEST['imp_anagrafica'].'&cant_comune='.$_REQUEST['cant_comune'].'&datavisita='.$_REQUEST['datavisita'].'&codice='.$_GET['codice'].'&from='.$_GET['from'].'">Comune</a></td>
				<td width="190"><a href="?ord=cant_strada&imp_anagrafica='.$_REQUEST['imp_anagrafica'].'&cant_comune='.$_REQUEST['cant_comune'].'&datavisita='.$_REQUEST['datavisita'].'&codice='.$_GET['codice'].'&from='.$_GET['from'].'">Indirizzo</a></td>
				<td><a href="?ord=imp_anagrafica&imp_anagrafica='.$_REQUEST['imp_anagrafica'].'&cant_comune='.$_REQUEST['cant_comune'].'&datavisita='.$_REQUEST['datavisita'].'&codice='.$_GET['codice'].'&from='.$_GET['from'].'">Impresa</a></td>
			</tr>
		';
		while($row=mysql_fetch_array($result)){
			echo '
			<tr onclick="window.location=\'visita_view.php?id='.$row['id'].'\'">
				<td>'.$row['data'].'</td>
				<td>'.$row['codice'].'</td>
				<td nowrap>'.$row['cant_comune'].'</td>
				<td nowrap>' .$row['cant_strada'].' '.$row['id_numero'].'</td>
				<td>'.$row['imp_anagrafica'].'</td>
			</tr>
			';
		}
		echo '</table>';
		echo $pags;
	}
}
if($tot == 0 && !empty($_GET)){
	echo 'nessun risultato';
}
?>
        </div>
    </div>
    
</div>

<div id="footer"></div>
</body>
</html>